
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>也谈ASP.NET应用程序性能优化 / iVAN</title>

    <meta name="description" content="也谈ASP.NET应用程序性能优化 [把前一段时间给单位项目所做性能优化的一些想法整理了以下,分享交流]ASP.NET 应用程序性能优化1 前言性能优化的主要目标是提高&quot;并发用户数量&quot;,&quot;吞吐量&quot;,&quot;可靠性&quot;这样几个指标.本质上说,性能优化的工作应该是多方面的,要做到&quot;点面结合.由表及里&quot;.比如:从代价的角度来考虑,应尽量做到改动量小,易实施:从用户角度看,应做到快速响应或快速提示:从软件结构的角度看,又要兼顾到系统结构的合理性和可扩展性.由此不难发现 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">也谈ASP.NET应用程序性能优化</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>[把前一段时间给单位项目所做性能优化的一些想法整理了以下，分享交流]<br />ASP.NET 应用程序性能优化<br />1 前言<br />性能优化的主要目标是提高“并发用户数量”，“吞吐量”，“可靠性”这样几个指标。<br />本质上说，性能优化的工作应该是多方面的，要做到“点面结合、由表及里”。比如：从代价的角度来考虑，应尽量做到改动量小，易实施；从用户角度看，应做到快速响应或快速提示；从软件结构的角度看，又要兼顾到系统结构的合理性和可扩展性。由此不难发现，在尝试一些改进方法时往往很难做到面面俱到。<br />举一个简单的例子：<br />在一个业务逻辑类中，我们封装了一些处理方法，其中有一个方法的功能是查找一个节点ID在XML文件是否已经存在。那我们自然会想到写两个方法：<br />XmlDocument LoadXML(string strFileID)     //加载XML <br />bool CheckIDExisit(string strFileID,string strID)     //判断节点是否存在<br />而且，加载XML的方法在其他地方还可以重用；表面上看，这段代码的结构和功能都没有问题。可是在运行时，如果你的逻辑中直接或间接调用了LoadXML多次的话，你会发现程序很慢。原因就在于加载XML文件是个耗时动作，解决的方法很简单，我们再提供几个方法即可：<br />bool CheckIDExisitByXml (string strXml,string strID)     //判断节点是否存在<br />或 bool CheckIDExisitByXml (XmlDocument objXml,string strID)     //判断节点是否存在<br />这样，我们就可以通过“一次加载”实现多次借用，效率明显提升。所以，在软件结构设计时就应将可重用“珍贵”数据源的因素考虑进来。(这里的“珍贵”数据源是指那些经过复杂处理或长时间计算才得到的各种对象或记录集)。<br />性能优化的工作又应是长期的，因为我们的工作始终是建立在OS,Web Server, DB Server,  Complier &amp; Program Language等等的基础上的。如果你熟悉.NET, JAVA,IIS, J2EE, 你就会发现有些功能或API这个平台提供了，另一个却没有；所以更多时候我们需要过渡的解决方案，等到新版本出来时，我们可能就会抛弃过渡方案直接配置或更简便的实现一些功能。[...]</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:27:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%84/" title="结构">结构</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd%e4%bc%98%e5%8c%96/" title="性能优化">性能优化</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>也谈ASP.NET应用程序性能优化的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvQ1ab.html" rel="bookmark">ASP&period;NET应用程序性能优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|程序|性能|优化 [把前一段时间给单位项目所做性能优化的一些想法整理了以下,分享交流] ASP.NET 应用程序性能优化 1 前言性能优化的主要目标是提高&quot;并发用户数量&quot;,&quot;吞吐量&quot;,&quot;可靠性&quot;这样几个指标. 本质上说,性能优化的工作应该是多方面的,要做到&quot;点面结合.由表及里&quot;.比如:从代价的角度来考虑,应尽量做到改动量小,易实施:从用户角度看,应做到快速响应或快速提示:从软件结构的角度看,又要兼顾到系统结构的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRP43z.html" rel="bookmark">优化ASP&period;NET应用程序性能研究与探讨</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|程序|性能|优化 摘 要 本文从页面.数据访问.字符串操作三方面探讨如何提高ASP.NET应用程序的性能,并提供了几种测试工具用于检测ASP.NET网站性能. 关键词 ASP.NET 应用程序 性能 优化 网站的性能对于ASP.NET程序开发人员来说非常重要.一个优秀的网站虽然有美观的页面设计,完善的服务功能,但是打开网页时有长时间的延迟,用户最终将会无法忍受.尤其对于大型的电子商务网站而言,每秒钟有数万用户同时访问,没有良好的网站性能,根本无法满足庞大的需求. ASP.NET作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6VEWM.html" rel="bookmark">ASP&period;NET程序性能优化五则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|程序|性能|优化 一.使用存储过程: 1.性能方面:存储过程提供了许多标准sql语言中所没有的高级特性.其传递参数和执行逻辑表达式的功能,有助于应用程序设计者处理复杂任务.另外,存储过程存储在本地服务器上,减少了执行该过程所需的网络传输宽带和执行时间.(存储过程已经对sql语句进行了预编译,所以其执行速度比在程序里执行sql语句快很多) 2.程序结构方面:从程序的可扩展性看,使用存储过程会对程序以后的修改带来方便.比如数据库的结构改变了,只需修改相对应的存储结构,和程序中的调用部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bB1Odz.html" rel="bookmark">如何监测ASP&period;NET应用程序性能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				监测ASP.NET应用程序性能有很多种方法,你心目最简单的方法是什么? 我目前找到的最简单的方法是:在Windows性能监视器(Performact Monitor)中监测ASP.NET Applications的Request Execution Time参数. 微软网站上对Request Execution Time的解释: This counter shows the time, in milliseconds, that it takes to render the last reque			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjg16M.html" rel="bookmark">Hibernate程序性能优化的考虑要点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|性能|优化 本文依照HIBERNATE帮助文档,一些网络书籍及项目经验整理而成,只提供要点和思路,具体做法可以留言探讨,或是找一些更详细更有针对性的资料. 初用HIBERNATE的人也许都遇到过性能问题,实现同一功能,用HIBERNATE与用JDBC性能相差十几倍很正常,如果不及早调整,很可能影响整个项目的进度. 大体上,对于HIBERNATE性能调优的主要考虑点如下: Ø 数据库设计调整 Ø HQL优化 Ø API的正确使用(如根据不同的业务类型选用不同的集合及查询API) Ø 主配置参			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJ6B4z.html" rel="bookmark">Java程序性能优化&lpar;辛苦了几个小时，还经历了一次停电，我真是命苦！&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|性能|优化 Java程序性能优化 一.避免在循环条件中使用复杂表达式 在不做编译优化的情况下,在循环中,循环条件会被反复计算,如果不使用复杂表达式,而使循环条件值不变的话,程序将会运行的更快. 例子:import java.util.Vector;class CEL {    void method (Vector vector) {        for (int i = 0; i &lt; vector.size (); i++)  // Violation            ; //			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7YowKM.html" rel="bookmark">Java 程序性能优化《第一章》Java性能调优概述 1&period;4小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java 程序性能优化&lt;第一章&gt;1.4小结 通过本章的学习,读者应该了解性能的基本概念及其常用的参考指标.此外,本章还较为详细的介绍了与性能调优相关的两个重要理论--木桶原理以及Amdahl定律. 根据木桶原理,系统的最终性能总是由系统中性能最差的组件决定的.因此,改善该组件的性能对提升系统整体性能有重要的作用.而根据Amdahl定律,可以知道只是增加处理器数量对提升系统性能并没有太大的实际意义,必须同时提高程序的并行化比重. 本章还简要的介绍了在软件开发和维护过程中可以进行性能优化的各个阶段			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NVPYM.html" rel="bookmark">java 程序性能优化《第二章》设计优化 2&period;1善用设计模式 1 单例模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java 程序性能优化&lt;第二章&gt;设计优化 2.1善用设计模式 1 单例模式 设计模式是前人工作的总结和提炼.通常,被人们广泛流传的设计模式都是对某一特定问题的成熟的解决方案.如果能合理的使用设计模式,不仅能使系统更容易被他人理解,同时也能使系统拥有更加合理的结构.本节总结归纳了一些经典的设计模式,并详细说明它们与软件性能之间的关系. 2.1.1 单例模式 单例模式是设计模式中使用最为普遍的模式之一.它是一种对象创建模式,用于生产一个对象的具体实现,它可以确保系统中一个类只产生一个实例.在Jav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNjvEoM.html" rel="bookmark">Java 程序性能优化《第一章》Java性能调优概述 1&period;2性能调优的层次</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java 程序性能优化&lt;第一章&gt;1.2性能调优的层次 为了提升系统性能,开发人员开始从系统各个角度和层次对系统进行优化.除了最常见的代码优化外,在软件架构上.JVM虚拟机层.数据库以及操作系统层面都可以通过各种手段进行优化,从而在整体上提升系统的性能. 1.2.1 设计调优 设计调优处于所有调优手段的上层,它往往需要在软件开发之前进行.在软件开发之处,软件架构师就应该评估系统可能存在的各种潜在问题,并给出合理的设计方案.由于软件设计和架构对整体质量有决定性的影响,所以,设计调优对系统性能的影响			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgK2OM.html" rel="bookmark" class="title">逻辑训练-问一个逻辑问题，关于离散数学的</a>
					<div>
						问题描述 问一个逻辑问题,关于离散数学的 本人信息安全专业最近学到离散数学讲到一个蕴含关系想问问大家一个思维问题就图里画线部分.p 蕴含q 在日常生活中可以变成类似于只有 q才 p 这个要怎么理解它? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg373M.html" rel="bookmark" class="title">vi常用快捷键</a>
					<div>
						进入vi的命令 vi filename :打开或新建文件,并将光标置于第一行首 vi +n filename :打开文件,并将光标置于第n行首 vi + filename :打开文件,并将光标置于最后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvr55M.html" rel="bookmark" class="title">acm-HDU-1548超时怎么解决？</a>
					<div>
						问题描述 HDU-1548超时怎么解决? 5C #include&lt;iostream&gt;#include&lt;cstdio&gt;#include&lt;queue&gt;#include& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPKnlM.html" rel="bookmark" class="title">通过JS在客户端限止用户重复提交的代码</a>
					<div>
						程序介绍:1.方法一:hiddenForm 隐藏表单法: 查看函数 hiddenForm2.方法二:disButtons 禁用按钮法: 查看函数 disButtons disButtons23.本程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq3PKz.html" rel="bookmark" class="title">详细介绍ASP六大对象的使用技巧</a>
					<div>
						对象|技巧 Application对象    Application对象是个应用程序级的对象,用来在所有用户间共享信息,并可以在Web应用程序运行期间持久地保持数据. Application的属性:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdQ3mz.html" rel="bookmark" class="title">轻松搞定数据访问层&lbrack;续2&rsqb;</a>
					<div>
						访问|数据 ' clsDataAccessOper 该类是所有数据访问类的父类 ' by YuJun ' www.hahaIT.com ' hahasoft@msn.com Public Class  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOa6vM.html" rel="bookmark" class="title">数据库归档要考虑的四大问题</a>
					<div>
						IT 存储专业人员将面临越来越大的压力,-随着结构化数据的增长,对这类数据的归档需求日益迫切,尤其是数据库数据. 与电子邮件等未结构化的数据相比,归档市场这方面受到的关注相对小一些,尽管在这个领域很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w5yrp.html" rel="bookmark" class="title">Code4Fun&colon;通过XML模板替换实现对象的灵活序列化</a>
					<div>
						前阵子在写LINQ2Douban的时候碰到关于XML序列化的场景.通过Douban api添加和更新数据的时候都需要Post一个xml entry,如: 添加活动(xml中用%%括起来的部分是需要填写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrq0Zp.html" rel="bookmark" class="title">JSP和Servlet的性能优化</a>
					<div>
						在本文中,带领你学习已经实践和得到证实的性能调整技术,它将大大地提高你的servlet和jsp页面的性能,进而提升J2EE的性能.这些技术的部分用于开发阶段,例如,设计和编码阶段.另一部分技术则与配置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j9rob.html" rel="bookmark" class="title">Fireworks层层激发彩光魅力效果</a>
					<div>
						学习Fireworks中流光效果的制作,把一部手机的背景作出绚丽四射的效果. 最终效果 首先建立600x600像素的画布,各位也可以设置其他适合的尺寸.设置底色黑色.在画面中间画一个300x200像素 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBmZ8z.html" rel="bookmark" class="title">谷歌浏览器2014插件使用</a>
					<div>
						  1.快捷工具 支持自定义快速访问菜单,保存未提交表单数据,快捷键,网址一键通,原始图片查看,图片放大镜,设置图片为桌面背景,独立视频 2.迅雷/快车/旋风专用链转换 -- Private Link ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN9ROM.html" rel="bookmark" class="title">宝贝图片发光线条简单画法分享</a>
					<div>
						  (效果图) 1.首先我们打开AI这个软件,新建一个页面,为了能让大家看清楚,我把底色弄成黑色,用椭圆工具,创建一个下图的椭圆. 2.椭圆的两端要做成尖角,这里可以用一个小工具选中一端的锚点,然后单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBJLLz.html" rel="bookmark" class="title">Python标准库的学习准备</a>
					<div>
						原文:Python标准库的学习准备 作者:Vamei 出处:http://www.cnblogs.com/vamei 欢迎转载,也请保留这段声明.谢谢!   Python标准库是Python强大的动力 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkl68b.html" rel="bookmark" class="title">高升科技于平：产品降价25&percnt;支持站长过冬</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 5月17日上午消息,200 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE98ap.html" rel="bookmark" class="title">android工程文件的res文件下的xml文件中color标签的值如何动态修改</a>
					<div>
						问题描述 android工程文件的res文件下的xml文件中color标签的值如何动态修改 请问给位前辈,如果想动态修改android的strings.xml文件中的color属性java代码该怎莫写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2RXnb.html" rel="bookmark" class="title">path&equals;System&period;Configuration&period;ConfigurationSettings&period;AppSettings&lbrack;&amp;amp&semi;amp&semi;quot&semi;PhotoPath&amp;amp&semi;amp&semi;quot&semi;&rsqb;&period;ToString&lpar;&rpar;&plus;RelativeFile&semi; 的具体解释。</a>
					<div>
						问题描述 请问这句是什么意思?stringpath=System.Configuration.ConfigurationSettings.AppSettings[&quot;PhotoPath&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y6yoM.html" rel="bookmark" class="title">素数求和-用c&plus;&plus;实现求素数的和时遇到一个问题</a>
					<div>
						问题描述 用c++实现求素数的和时遇到一个问题 描述 现在给你N个数(0&lt;N&lt;1000),现在要求你写出一个程序,找出这N个数中的所有素数,并求和. 输入 第一行给出整数M(0&lt;M& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKYe7b.html" rel="bookmark" class="title">java与asp的前景问题</a>
					<div>
						问题描述 我想问一下asp.net与jsp的前景问题,我想学程序不知道想学什么好? 解决方案 解决方案二:如果什么都不知道,有一个方法可以帮到你-----掷骰子.解决方案三:.Net被微软操控着,ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2R98vb.html" rel="bookmark" class="title">新北洋：专用打印机供应商尽享高铁东风</a>
					<div>
						公司在铁路客票机市场的占有率超过60%,目前是高铁和城际铁路专用磁编码客票打印机的唯一供应商,成长空间巨大 江怡曼 我们在购买火车票的时候,售票窗口的工作人员总会很快地将车票打印出来,仔细观察会发现所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rVqdp.html" rel="bookmark" class="title">代码-如何在显示模态框的同时触发OnClick</a>
					<div>
						问题描述 如何在显示模态框的同时触发OnClick 用VS 2013 for web 作了一个网页,用于后台计算,然后把结果显示到网页上.由于运行时间较长,希望在点击按钮后显示一个Bootstrap模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0OyPM.html" rel="bookmark" class="title">大数据和人工智能将重塑这三大产业</a>
					<div>
						我们生活在一个充满颠覆和变革的时代,而这并不是件坏事.产业将会转型,大企业面临衰亡.为了给消费者提供更好.更快.更低价的体验,企业家们逐步对低效的企业.产品及服务进行优化及重塑,旧有的系统将会瓦解.随 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7kRKz.html" rel="bookmark" class="title">ZooKeeper原理及其在Hadoop和HBase中的应用</a>
					<div>
						ZooKeeper是一个开源的分布式协调服务,由雅虎创建,是Google Chubby的开源实现.分布式应用程序可以基于ZooKeeper实现诸如数据发布/订阅.负载均衡.命名服务.分布式协调/通知. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44ywJz.html" rel="bookmark" class="title">文昌查获一批涉嫌商标侵权的双桥牌味精</a>
					<div>
						人民网[微博]文昌7月2日电 (李伟民)近日,文昌市东阁工商所执法人员在依法对辖区内经营户进行检查时,发现一家杂货店销售广州奥桑味精食品有限公司生产的37包500克&quot;双桥&quot;牌味精. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Qk0rM.html" rel="bookmark" class="title">2020年苹果将生产电动汽车&comma;意图从特斯拉挖人</a>
					<div>
						据彭博社报道,消息人士称,一直在秘密开发汽车的苹果最早将在2020年开始生产电动汽车.汽车制造商一般花5-7年时间开发汽车,这个时间框架说明苹果制定了积极的目标,拉开与特斯拉.通用汽车等客户竞争的序幕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWnj4z.html" rel="bookmark" class="title">普通用户名检测与正则用户检测代码</a>
					<div>
						普通用户名检测与正则用户检测代码 function click_userName_input(thisinput) {  reguserNameinfo.className = &quot;show  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YWm7p.html" rel="bookmark" class="title">在美上市中国公司屡遭集体诉讼：财务漏洞致命</a>
					<div>
						&lt;IT时代周刊&gt;记者/李萧然 IT商业新闻网 记者/李琪(发自北京.美国硅谷) 在美国几近苛刻的证券监管体系下,中国企业在美上市之路承受着巨大的法律风险.自中华网2001年遭遇首次集体诉讼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP6g1p.html" rel="bookmark" class="title">javamail smtp 问题&colon;连接数据库报错</a>
					<div>
						问题描述 这个测试程序,能发送成功publicclassJavaMail{publicstaticvoidmain(Stringargs[]){Map&lt;String,String&gt;info ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXNOB4b.html" rel="bookmark" class="title">正则禁止某些字符</a>
					<div>
						问题描述 (([^/]+)/?$)//这个可以匹配/news//news/news.html没有问题//但同样也可以匹配css/a.cssjs/b.jsimg/logo.gif等,我不想匹配这些 问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqOZNOz.html" rel="bookmark" class="title">每日经济新闻：网游企业被指圈钱不顾道德</a>
					<div>
						每经记者 谢晓萍 发自北京 随着中国网络游戏市场的发展,中国网络游戏企业在资本市场受到热捧,然而在取得效益的同时,这些网游企业并没有赢得社会的尊重. 随着网游引发的一系列社会问题,网游产业的道德问题再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlVK4qz.html" rel="bookmark" class="title">环信接收到消息时造成页面滑动卡顿</a>
					<div>
						问题描述 当前正在listview滑动,环信接收消息后,造成页面滑动卡顿.出现卡顿的原因就像正在开车突然踩了一下刹车占用了主线程,于是卡顿一下.将注册监听消息的动作放到了子线程中,但还是会卡顿,求解, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
